﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace _857624_Weekly_Calendar_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(string fromDate, string toDate)
        {
            DateTime startDate = Convert.ToDateTime(fromDate);
            DateTime endDate = Convert.ToDateTime(toDate);
            System.Data.DataTable dt = new System.Data.DataTable();
            dt.Columns.Add("Sunday");
            dt.Columns.Add("Monday");
            dt.Columns.Add("Tuesday");
            dt.Columns.Add("Wednesday");
            dt.Columns.Add("Thursday");
            dt.Columns.Add("Friday");
            dt.Columns.Add("Saturday");
            System.Data.DataRow dr = dt.NewRow();

            for (DateTime date = startDate; date <= endDate; date = date.AddDays(1))
            {
                int i = (int)date.DayOfWeek;
                string day = date.DayOfWeek.ToString();
                dr[day] = date.ToString("yyyy/MM/dd");
                if (i == 6)
                {
                    dt.Rows.Add(dr);
                    dr = dt.NewRow();
                }
            }

            ViewBag.Data = dt;

            return View();
        }
    }
}